## satpy 0.43.0

=== debian/changelog ===
satpy (0.43.0-7) unstable; urgency=medium

  * debian/patches:
    - Update 0009-Fix-compatibility-with-xarray-v2023.09.0.patch
      to support also xarray v2023.10.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sat, 21 Oct 2023 08:00:45 +0000

satpy (0.43.0-6) unstable; urgency=medium

  * debian/patches:
    - New 0009-Fix-compatibility-with-xarray-v2023.09.0.patch
      (Closes: #1053748).

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Wed, 11 Oct 2023 21:39:57 +0000

satpy (0.43.0-5) unstable; urgency=medium

  * debian/rules:
    - Temparaty disable test_colorize_with_interpolation and
      test_colorize.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sun, 17 Sep 2023 08:05:40 +0000

satpy (0.43.0-4) unstable; urgency=medium

  [ Antonio Valentino ]
  * debian/patches:
    - rename 0001-Disable-extra-dependency-form-geoviews.patch
      into 0001-Disable-extra-dependency-from-geoviews.patch
    - new 0008-Fix-colormap-based-tests-with-new-version-of-trollim.patch.

  [ Bas Couwenberg ]
  * Switch to dh-sequence-*.
  * Remove generated files in clean target.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sat, 16 Sep 2023 11:21:12 +0000

satpy (0.43.0-3) unstable; urgency=medium

  * debian/rules:
    - Fix check on architectures and re-enable tests.
    - Fix test args.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Mon, 14 Aug 2023 10:09:56 +0000

satpy (0.43.0-2) unstable; urgency=medium

  [ Bas Couwenberg ]
  * Use execute_{before,after} instead of override in rules file.
    (closes: #1046735)

  [ Antonio Valentino ]
  * debian/rules:
    - Improve build doc rule.
    - Drop the no longer necessary version file generation
      (now setuptools-scm is used directly).
  * devian/control:
    - Build-repend on python3-setuptools-scm.
    - Use <!nocheck> and <!nodoc> markers.
  * Switch to autopkgtest-pkg-pybuild and remove the no longer
    needed d/tests folder.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Mon, 14 Aug 2023 08:45:41 +0000

satpy (0.43.0-1) unstable; urgency=medium

  * New upstream release.
  * debian/control:
    - sugest python3-numba
    - fix cme warnings (obsolete versioned dependencies).
  * debian/patches:
    - 0001-Disable-extra-dependency-form-geoviews.patch renamed to fix a typo
    - refresh all patches.
  * devian/upstream/metadata:
    - set upstream metadata fields: Security-Contact (lintian-brush).

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sat, 08 Jul 2023 17:49:15 +0000
