=== debian/control ===
Source: satpy
Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
Uploaders: Antonio Valentino <antonio.valentino@tiscali.it>
Section: python
Testsuite: autopkgtest-pkg-pybuild
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-python,
               dh-sequence-numpy3,
               dh-sequence-python3,
               dh-sequence-sphinxdoc,
               libjs-jquery-datatables <!nodoc>,
               libjs-mathjax <!nodoc>,
               pybuild-plugin-pyproject,
               python3-all,
               python3-appdirs,
               python3-astropy,
               python3-behave <!nocheck>,
               python3-bottleneck,
               python3-bs4,
               python3-cloudpickle,
               python3-dask,
               python3-defusedxml,
               python3-distributed,
               python3-donfig,
               python3-eccodes,
               python3-ephem,
               python3-fsspec,
               python3-geotiepoints (>= 1.6),
               python3-glymur,
               python3-grib,
               python3-h5netcdf,
               python3-h5py,
               python3-hdf4,
               python3-imageio,
               python3-netcdf4,
               python3-numpy,
               python3-packaging,
               python3-pil,
               python3-pint,
               python3-pooch,
               python3-pygac,
               python3-pycoast,
               python3-pydecorate,
               python3-pykdtree,
               python3-pyninjotiff,
               python3-pyorbital (>= 1.7.3),
               python3-pyproj,
               python3-pyresample (>= 1.24.0),
               python3-pyspectral,
               python3-pytest <!nocheck>,
               python3-pytest-lazy-fixture <!nocheck>,
               python3-rasterio,
               python3-requests,
               python3-rioxarray,
               python3-scipy,
               python3-setuptools,
               python3-setuptools-scm,
               python3-setuptools-scm-git-archive,
               python3-skyfield,
               python3-sphinx <!nodoc>,
               python3-sphinx-rtd-theme <!nodoc>,
               python3-sphinxcontrib.apidoc <!nodoc>,
               python3-tables,
               python3-tornado,
               python3-trollimage,
               python3-trollsched,
               python3-trollsift,
               python3-xarray,
               python3-xarray-datatree,
               python3-yaml,
               python3-zarr
Standards-Version: 4.6.2
Vcs-Browser: https://salsa.debian.org/debian-gis-team/satpy
Vcs-Git: https://salsa.debian.org/debian-gis-team/satpy.git
Homepage: https://github.com/pytroll/satpy
Rules-Requires-Root: no

Package: python3-satpy
Architecture: all
Depends: python3-appdirs,
         python3-dask,
         python3-donfig,
         python3-defusedxml,
         python3-eccodes,
         python3-grib,
         python3-hdf4,
         python3-packaging,
         python3-pil,
         python3-pooch,
         python3-pykdtree,
         python3-pyproj,
         python3-pyresample,
         python3-scipy,
         python3-trollimage,
         python3-trollsift,
         python3-xarray,
         python3-yaml,
         python3-zarr,
         ${python3:Depends},
         ${sphinxdoc:Depends},
         ${misc:Depends}
Recommends: libjs-mathjax,
            python3-behave,
            python3-bottleneck,
            python3-bs4,
            python3-distributed,
            python3-geotiepoints,
            python3-glymur,
            python3-h5netcdf,
            python3-h5py,
            python3-imageio,
            python3-netcdf4,
            python3-pint,
            python3-pycoast,
            python3-pydecorate,
            python3-pygac,
            python3-pyninjotiff,
            python3-pyorbital,
            python3-pyspectral,
            python3-pytest,
            python3-pytest-lazy-fixture,
            python3-rasterio,
            python3-requests,
            python3-rioxarray,
            python3-skyfield,
            python3-tables,
            python3-tornado,
            python3-trollsched
Suggests: www-browser,
          python3-numba
Description: Python package for earth-observing satellite data processing
 The SatPy package is a Python library for reading and manipulating
 meteorological remote sensing data and writing it to various image and
 data file formats. SatPy comes with the ability to make various RGB
 composites directly from satellite instrument channel data or higher level
 processing output. The pyresample package is used to resample data to
 different uniform areas or grids.
