## satpy 0.44.0

=== debian/changelog ===
satpy (0.44.0-1ubuntu2) noble; urgency=medium

  * More FTBFS fixes. (LP: #2044216)
    - Modified satpy/tests/scene_tests/test_resampling.py to use
      assert_called_once rather than called_once.
    - Bumped an xarray version check in satpy/tests/writer_tests/test_cf.py to
      keep the tests from trying to use features that don't yet exist in
      python3-xarray.

 -- Aaron Rainbolt <arraybolt3@ubuntu.com>  Wed, 22 Nov 2023 16:25:49 -0600

satpy (0.44.0-1ubuntu1) noble; urgency=medium

  * Backported upstream commit dc3ee7d3 as patch
    0009-backport-upstream-remove-legacy-resampler-code.patch
    to fix an FTBFS (LP: #2044216).

 -- Aaron Rainbolt <arraybolt3@ubuntu.com>  Tue, 21 Nov 2023 22:49:24 -0600

satpy (0.44.0-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches:
    - Refresh all patches.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sat, 11 Nov 2023 09:08:17 +0000
