## satpy 0.45.0

=== debian/changelog ===
satpy (0.45.0-2ubuntu1) noble; urgency=low

  * Merge from Debian unstable. (LP: #2046322) Remaining changes:
    - Bumped an xarray version check in satpy/tests/writer_tests/test_cf.py to
      keep the tests from trying to use features that don't yet exist in
      python3-xarray.
    - Don't build against Python 3.12, test_viirs_compact.py's
      TestCompact.test_distributed test fails with a mysterious "0-dim memory
      has no length" error when running on it.

 -- Aaron Rainbolt <arraybolt3@ubuntu.com>  Wed, 13 Dec 2023 06:05:37 +0000

satpy (0.45.0-2) unstable; urgency=medium

  * debian/rules:
    - Skip tests requiring network access.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sun, 03 Dec 2023 08:35:40 +0000

satpy (0.45.0-1) unstable; urgency=medium

  * New upstream release.
  * Update d/copyright.
  * debian/pathces:
    - Drop 0004-Fix-broken-test-in-i386.patch and
      0008-Fix-compatibility-with-xarray-v2023.11.0.patch,
      no longer needed.
    - Refresh and renumber remaining patches.
  * debian/rules:
    - Update list of tests to skip.
  * debian/man:
    - Update manpages.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sun, 03 Dec 2023 01:20:46 +0000

satpy (0.44.0-2) unstable; urgency=medium

  * debian/control:
    - Add build dependency on python3-pint-xarray.
  * debian/rules:
    - No longer skip tests requiring python3-pint-xarray.
  * debian/rules:
    - Re-enable some of the tests previously skipped.
    - Skip tests that are broken for Python 3.12 (Closes: 1056527).

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sat, 25 Nov 2023 10:30:56 +0000
