=== debian/control ===
--- 
+++ 
@@ -39,6 +39,7 @@
                python3-packaging,
                python3-pil,
                python3-pint,
+               python3-pint-xarray,
                python3-pooch,
                python3-pygac,
                python3-pycoast,
