=== debian/rules ===
--- 
+++ 
@@ -18,33 +18,29 @@
 {destdir}/{install_dir}/benchmarks \
 {destdir}/{install_dir}/dask-worker-space \
 {destdir}/{install_dir}/dummy*
-export PYBUILD_TEST_ARGS=-k "\
-not test_retrieve \
+export PYBUILD_TEST_ARGS=\
+-k "not test__slice \
+and not test_init \
+and not test_strip_invalid_lat \
+and not test_retrieve \
 and not test_offline_retrieve \
 and not test_retrieve_all \
 and not test_download_script \
-and not test_start_time \
-and not test_end_time \
-and not test_mimic_TPW2_nc \
-and not TestAngleGeneration \
-and not test_get_luts \
+and not test_basic_default_not_provided \
+and not test_rayleigh_corrector \
+and not test_rayleigh_with_angles \
+and not test_median \
+and not test_no_downloads_in_tests \
 and not test_convert_remote_files_to_fsspec_fsfile \
 and not test_convert_remote_files_to_fsspec_filename_dict \
-and not test_convert_remote_files_to_fsspec_mixed_sources \
-and not test_get_satpos_from_satname \
-and not test_distributed \
-and not test_rayleigh_corrector \
-and not test_rayleigh_with_angles \
-and not test_float_write_with_unit_conversion \
-and not test_aggregate \
-and not test_median \
-and not test_no_downloads_in_tests \
-and not test_colorize_with_interpolation \
-and not test_colorize" \
---ignore=${TESTDIR}/reader_tests/test_insat3d_img_l1b_h5.py \
+and not test_convert_remote_files_to_fsspec_mixed_sources" \
 --ignore=${TESTDIR}/reader_tests/gms/test_gms5_vissr_l1b.py \
 --ignore=${TESTDIR}/reader_tests/gms/test_gms5_vissr_navigation.py \
 ${TESTDIR}
+# Python 3.12 does not appear to be compatible with satpy currently.
+# Check and see if this can be reverted every time a new satpy comes from
+# Debian.
+export PYBUILD_DISABLE=python3.12
 
 ifneq (,$(filter $(DEB_BUILD_ARCH),armhf))
 export PYBUILD_DISABLE=test
