## satpy 0.46.0

=== debian/changelog ===
satpy (0.46.0-2) unstable; urgency=medium

  * debian/patches:
    - New 0007-Do-not-document-pvivate-members.patch.
  * debian/control:
    - Drop dependency on python3-setuptools-scm-git-archive
      (Closes: #1060029).
  * Update dates in d/copyright

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sat, 06 Jan 2024 18:18:47 +0000

satpy (0.46.0-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches:
    - Refresh all patches.
  * debian/rules:
    - Skip test_loading_lon_lat, test_loading_sensor_angles,
      test_loading_solar_angles and test_get_ti_lon_lats for
      compatibility with geotieponts < 1.7
    - Skip tests requiring the unavailable hvplot package.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Fri, 22 Dec 2023 13:23:54 +0000
