=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: satpy
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
+Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
 Uploaders: Antonio Valentino <antonio.valentino@tiscali.it>
 Section: python
 Testsuite: autopkgtest-pkg-pybuild
@@ -58,7 +57,6 @@
                python3-scipy,
                python3-setuptools,
                python3-setuptools-scm,
-               python3-setuptools-scm-git-archive,
                python3-skyfield,
                python3-sphinx <!nodoc>,
                python3-sphinx-rtd-theme <!nodoc>,
