=== debian/rules ===
--- 
+++ 
@@ -33,14 +33,18 @@
 and not test_no_downloads_in_tests \
 and not test_convert_remote_files_to_fsspec_fsfile \
 and not test_convert_remote_files_to_fsspec_filename_dict \
-and not test_convert_remote_files_to_fsspec_mixed_sources" \
+and not test_convert_remote_files_to_fsspec_mixed_sources \
+and not test_hvplot_basic_with_area \
+and not test_hvplot_basic_with_swath \
+and not test_hvplot_rgb_with_area \
+and not test_loading_lon_lat \
+and not test_loading_sensor_angles \
+and not test_loading_solar_angles \
+and not test_get_ti_lon_lats \
+and not test_distributed" \
 --ignore=${TESTDIR}/reader_tests/gms/test_gms5_vissr_l1b.py \
 --ignore=${TESTDIR}/reader_tests/gms/test_gms5_vissr_navigation.py \
 ${TESTDIR}
-# Python 3.12 does not appear to be compatible with satpy currently.
-# Check and see if this can be reverted every time a new satpy comes from
-# Debian.
-export PYBUILD_DISABLE=python3.12
 
 ifneq (,$(filter $(DEB_BUILD_ARCH),armhf))
 export PYBUILD_DISABLE=test
