## satpy 0.47.0

=== debian/changelog ===
satpy (0.47.0-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches:
    - Refresh all patches.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sat, 24 Feb 2024 09:02:15 +0000

satpy (0.46.0-3) unstable; urgency=medium

  * debian/rules:
    - Skip regression tests on arm64 (excessive resources needed).

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sun, 04 Feb 2024 18:03:23 +0000
