=== debian/rules ===
--- 
+++ 
@@ -50,6 +50,10 @@
 export PYBUILD_DISABLE=test
 endif
 
+ifneq (,$(filter $(DEB_BUILD_ARCH),arm64))
+export PYBUILD_TEST_ARGS=$(PYBUILD_TEST_ARGS) --ignore=${TESTDIR}/test_regressions.py
+endif
+
 %:
 	dh $@ --buildsystem=pybuild
