## satpy 0.48.0

=== debian/changelog ===
satpy (0.48.0-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches:
    - Refresh all patches.
    - Update 0009-No-lazy-fixture.patch.
  * debian/control:
    - Update dependencies: switch to hatchling.
  * debian/rules:
    - Ignore broken tests.
  * Update d/python3-satpy.lintian-overrides.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sat, 27 Apr 2024 17:29:51 +0000

satpy (0.47.0-2) unstable; urgency=medium

  * debian/control:
    - Drop dependency on pythom3-pytest-lazy-fixture.
  * debian/patches:
    - New 0008-Switch-from-appdirs-to-platformdirs.patch (Closes: #1068007).
    - New 0009-No-lazy-fixture.patch, workaround for #1063957,
  * debina/rules:
    - Skip broken test (test_correct_area_clearsky_different_resolutions).

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sat, 30 Mar 2024 07:48:15 +0000
