=== debian/control ===
--- 
+++ 
@@ -13,7 +13,6 @@
                libjs-mathjax <!nodoc>,
                pybuild-plugin-pyproject,
                python3-all,
-               python3-appdirs,
                python3-astropy,
                python3-behave <!nocheck>,
                python3-bottleneck,
@@ -29,6 +28,8 @@
                python3-geotiepoints (>= 1.6),
                python3-glymur,
                python3-grib,
+               python3-hatchling,
+               python3-hatch-vcs,
                python3-h5netcdf,
                python3-h5py,
                python3-hdf4,
@@ -39,6 +40,7 @@
                python3-pil,
                python3-pint,
                python3-pint-xarray,
+               python3-platformdirs,
                python3-pooch,
                python3-pygac,
                python3-pycoast,
@@ -50,13 +52,10 @@
                python3-pyresample (>= 1.24.0),
                python3-pyspectral,
                python3-pytest <!nocheck>,
-               python3-pytest-lazy-fixture <!nocheck>,
                python3-rasterio,
                python3-requests,
                python3-rioxarray,
                python3-scipy,
-               python3-setuptools,
-               python3-setuptools-scm,
                python3-skyfield,
                python3-sphinx <!nodoc>,
                python3-sphinx-rtd-theme <!nodoc>,
@@ -78,8 +77,7 @@
 
 Package: python3-satpy
 Architecture: all
-Depends: python3-appdirs,
-         python3-dask,
+Depends: python3-dask,
          python3-donfig,
          python3-defusedxml,
          python3-eccodes,
@@ -87,6 +85,7 @@
          python3-hdf4,
          python3-packaging,
          python3-pil,
+         python3-platformdirs,
          python3-pooch,
          python3-pykdtree,
          python3-pyproj,
@@ -119,7 +118,6 @@
             python3-pyorbital,
             python3-pyspectral,
             python3-pytest,
-            python3-pytest-lazy-fixture,
             python3-rasterio,
             python3-requests,
             python3-rioxarray,
