## satpy 0.49.0

=== debian/changelog ===
satpy (0.49.0-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches:
    - Drop 0008-Switch-from-appdirs-to-platformdirs.patch and
      0009-Switch-to-pytest-lazy-fixtures.patch, applied upstream.
    - Refresh and renumber remaining parches.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Mon, 10 Jun 2024 21:36:25 +0000

satpy (0.48.0-2) unstable; urgency=medium

  * debian/patches:
    - Drop 0009-No-lazy-fixture.patch.
    - New 0009-Switch-to-pytest-lazy-fixtures.patch.
  * debian/control:
    - Add dependency on pytest-lazy-fixtures.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Thu, 16 May 2024 05:17:29 +0000
