=== debian/control ===
--- 
+++ 
@@ -52,6 +52,7 @@
                python3-pyresample (>= 1.24.0),
                python3-pyspectral,
                python3-pytest <!nocheck>,
+               python3-pytest-lazy-fixtures <!nocheck>,
                python3-rasterio,
                python3-requests,
                python3-rioxarray,
@@ -118,6 +119,7 @@
             python3-pyorbital,
             python3-pyspectral,
             python3-pytest,
+            python3-pytest-lazy-fixtures,
             python3-rasterio,
             python3-requests,
             python3-rioxarray,
