=== debian/rules ===
--- 
+++ 
@@ -41,9 +41,23 @@
 and not test_loading_sensor_angles \
 and not test_loading_solar_angles \
 and not test_get_ti_lon_lats \
-and not test_distributed" \
+and not test_distributed \
+and not test_correct_area_clearsky_different_resolutions \
+and not test_available_reader \
+and not test_find_registerable \
+and not test_filenames_as_path \
+and not test_no_parameters \
+and not test_bad_sensor \
+and not test_sensor \
+and not test_sensor_no_files \
+and not test_no_reader \
+and not test_basic_check_satpy \
+and not test_plugin_reader_available_readers \
+and not test_filenames_only" \
 --ignore=${TESTDIR}/reader_tests/gms/test_gms5_vissr_l1b.py \
 --ignore=${TESTDIR}/reader_tests/gms/test_gms5_vissr_navigation.py \
+--ignore=${TESTDIR}/reader_tests/test_viirs_edr_active_fires.py \
+--ignore=${TESTDIR}/reader_tests/test_mviri_l1b_fiduceo_nc.py \
 ${TESTDIR}
 
 ifneq (,$(filter $(DEB_BUILD_ARCH),armhf))
