## satpy 0.50.0

=== debian/changelog ===
satpy (0.50.0-1) unstable; urgency=medium

  [ Bas Couwenberg ]
  * Bump Standards-Version to 4.7.0, no changes.

  [ Antonio Valentino ]
  * New upstream release.
  * debian/control:
    - Require trollimage >= 1.24.
  * debian/patches:
    - Drop 0007-Fix-gcps-type-for-newer-rioxarray-versions.patch,
      applied upstream.
    - Refresh and renumber remaining patches.
    - New 0007-No-area_def_list.patch.
  * New source/lintian-overrides file for silencing misdetection of uuid
    as deprecated stdlib.
  * Fix doc build.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Wed, 31 Jul 2024 05:58:49 +0000

satpy (0.49.0-2) unstable; urgency=medium

  * debian/patches:
    - New 0007-Fix-gcps-type-for-newer-rioxarray-versions.patch.
      Closes: #1076922.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Fri, 26 Jul 2024 06:47:32 +0000
