## satpy 0.51.0

=== debian/changelog ===
satpy (0.51.0-2) unstable; urgency=medium

  * debian/rules:
    - Avoid recursive evaluation of variables (Closes: #1082394).
  * Drop d/source/lintian-overrides, no longer needed.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sat, 21 Sep 2024 08:49:42 +0000

satpy (0.51.0-1) unstable; urgency=medium

  * New upstream release.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Thu, 15 Aug 2024 15:21:01 +0000
