=== debian/control ===
--- 
+++ 
@@ -63,14 +63,14 @@
                python3-sphinxcontrib.apidoc <!nodoc>,
                python3-tables,
                python3-tornado,
-               python3-trollimage,
+               python3-trollimage (>= 1.24),
                python3-trollsched,
                python3-trollsift,
                python3-xarray,
                python3-xarray-datatree,
                python3-yaml,
                python3-zarr
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/debian-gis-team/satpy
 Vcs-Git: https://salsa.debian.org/debian-gis-team/satpy.git
 Homepage: https://github.com/pytroll/satpy
