=== debian/rules ===
--- 
+++ 
@@ -53,7 +53,8 @@
 and not test_no_reader \
 and not test_basic_check_satpy \
 and not test_plugin_reader_available_readers \
-and not test_filenames_only" \
+and not test_filenames_only \
+and not test_add_grid_mapping_oblique_mercator" \
 --ignore=${TESTDIR}/reader_tests/gms/test_gms5_vissr_l1b.py \
 --ignore=${TESTDIR}/reader_tests/gms/test_gms5_vissr_navigation.py \
 --ignore=${TESTDIR}/reader_tests/test_viirs_edr_active_fires.py \
@@ -65,7 +66,8 @@
 endif
 
 ifneq (,$(filter $(DEB_BUILD_ARCH),arm64))
-export PYBUILD_TEST_ARGS=$(PYBUILD_TEST_ARGS) --ignore=${TESTDIR}/test_regressions.py
+PYBUILD_TEST_ARGS+=--ignore=${TESTDIR}/test_regressions.py
+export PYBUILD_TEST_ARGS
 endif
 
 %:
@@ -75,6 +77,7 @@
 execute_after_dh_auto_build-indep: export https_proxy=127.0.0.1:9
 execute_after_dh_auto_build-indep:
 ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
+	cp debian/area_def_list.rst doc/source
 	PSP_CONFIG_FILE=$(CURDIR)/debian/pyspectral_dummycfg.yaml \
 	PYTHONPATH={build_dir} \
 	python3 -m sphinx -N -E -T -b html doc/source $(CURDIR)/.pybuild/docs/html
