## satpy 0.52.0

=== debian/changelog ===
satpy (0.52.0-1) unstable; urgency=medium

  * New upstrean release.
  * Update copyright dates.
  * debian/patches:
    - Drop 0007-No-area_def_list.patch.
    - Refresh and renumber remaining patches.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sat, 19 Oct 2024 07:07:10 +0000
