## satpy 0.52.1

=== debian/changelog ===
satpy (0.52.1-2) unstable; urgency=medium

  * debian/rules:
    - Skip test_palettize and test_viirs.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Tue, 29 Oct 2024 06:50:42 +0000

satpy (0.52.1-1) unstable; urgency=medium

  * New usptream release.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sat, 26 Oct 2024 10:19:00 +0000
