=== debian/rules ===
--- 
+++ 
@@ -54,7 +54,9 @@
 and not test_basic_check_satpy \
 and not test_plugin_reader_available_readers \
 and not test_filenames_only \
-and not test_add_grid_mapping_oblique_mercator" \
+and not test_add_grid_mapping_oblique_mercator \
+and not test_palettize \
+and not test_viirs" \
 --ignore=${TESTDIR}/reader_tests/gms/test_gms5_vissr_l1b.py \
 --ignore=${TESTDIR}/reader_tests/gms/test_gms5_vissr_navigation.py \
 --ignore=${TESTDIR}/reader_tests/test_viirs_edr_active_fires.py \
