## satpy 0.53.0

=== debian/changelog ===
satpy (0.53.0-2) unstable; urgency=medium

  * debian/rules:
    - Drop custom SETUPTOOLS_SCM_PRETEND_VERSION setting,
      no longer neded after the switch to hatchling.
    - Re-enable TestFSFile: see
      https://github.com/pytroll/satpy/issues/3001.
  * debian/patches:
    - New 0007-Drop-dependency-on-xarray-datatree.patch.
  * debian/control:
    - Drop dependency on xarray-datatree.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sat, 07 Dec 2024 16:10:56 +0000

satpy (0.53.0-1) unstable; urgency=medium

  * New upstream release.
  * debian/rules:
    - Skip test_basic_default_provided and TestFSFile.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sat, 09 Nov 2024 16:58:00 +0000
