=== debian/control ===
--- 
+++ 
@@ -66,8 +66,7 @@
                python3-trollimage (>= 1.24),
                python3-trollsched,
                python3-trollsift,
-               python3-xarray,
-               python3-xarray-datatree,
+               python3-xarray (>= 2024.10.0),
                python3-yaml,
                python3-zarr
 Standards-Version: 4.7.0
