=== debian/rules ===
--- 
+++ 
@@ -5,7 +5,6 @@
 #export DH_VERBOSE=1
 
 include /usr/share/dpkg/pkg-info.mk
-export SETUPTOOLS_SCM_PRETEND_VERSION=$(DEB_VERSION_UPSTREAM)
 
 ifneq (,${PYBUILD_AUTOPKGTEST})
 TESTDIR=/usr/lib/python3/dist-packages/satpy/tests
@@ -56,7 +55,8 @@
 and not test_filenames_only \
 and not test_add_grid_mapping_oblique_mercator \
 and not test_palettize \
-and not test_viirs" \
+and not test_viirs \
+and not test_basic_default_provided" \
 --ignore=${TESTDIR}/reader_tests/gms/test_gms5_vissr_l1b.py \
 --ignore=${TESTDIR}/reader_tests/gms/test_gms5_vissr_navigation.py \
 --ignore=${TESTDIR}/reader_tests/test_viirs_edr_active_fires.py \
