## satpy 0.54.0

=== debian/changelog ===
satpy (0.54.0-1) unstable; urgency=medium

  * New upstream release.
  * Update dates in d/copyright.
  * debian/patches:
    - Drop 0007-Drop-dependency-on-xarray-datatree.patch.
    - Refresh remaining patches.
  * debian/rules:
    - Fix permission of satpy/tests/behave/features/image_comparison.feature.
  * debian/control:
    - Temporarily add explicit dependency on python3-cffi.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Mon, 20 Jan 2025 18:38:07 +0000
