=== debian/control ===
--- 
+++ 
@@ -17,6 +17,7 @@
                python3-behave <!nocheck>,
                python3-bottleneck,
                python3-bs4,
+               python3-cffi,
                python3-cloudpickle,
                python3-dask,
                python3-defusedxml,
@@ -77,7 +78,8 @@
 
 Package: python3-satpy
 Architecture: all
-Depends: python3-dask,
+Depends: python3-cffi,
+         python3-dask,
          python3-donfig,
          python3-defusedxml,
          python3-eccodes,
