=== debian/rules ===
--- 
+++ 
@@ -87,3 +87,4 @@
 
 execute_after_dh_fixperms:
 	find debian/python*satpy -name 'agri_l1.*' -exec chmod -x {} +
+	find debian/python*satpy -name 'image_comparison.feature' -exec chmod -x {} +
