## satpy 0.55.0

=== debian/changelog ===
satpy (0.55.0-1) unstable; urgency=medium

  [ Bas Couwenberg ]
  * Bump Standards-Version to 4.7.2, no changes.

  [ Antonio Valentino ]
  * New upstream release.
  * debian/patches:
    - Drop 0006-Do-not-document-pvivate-members.patch.
    - Refresh remaining patches.
    - New 0006-Compat-with-sphinx-8.2.patch.
  * debian/rules:
    - Skip tests requiring the unavailable upath Python package.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sat, 22 Mar 2025 16:23:35 +0000
