=== debian/control ===
--- 
+++ 
@@ -70,7 +70,7 @@
                python3-xarray (>= 2024.10.0),
                python3-yaml,
                python3-zarr
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/debian-gis-team/satpy
 Vcs-Git: https://salsa.debian.org/debian-gis-team/satpy.git
 Homepage: https://github.com/pytroll/satpy
