=== debian/rules ===
--- 
+++ 
@@ -56,7 +56,10 @@
 and not test_add_grid_mapping_oblique_mercator \
 and not test_palettize \
 and not test_viirs \
-and not test_basic_default_provided" \
+and not test_basic_default_provided \
+and not test_scene_dynamic_available_datasets \
+and not test_read_real_segment \
+and not test_read_physical_seviri_nat_file" \
 --ignore=${TESTDIR}/reader_tests/gms/test_gms5_vissr_l1b.py \
 --ignore=${TESTDIR}/reader_tests/gms/test_gms5_vissr_navigation.py \
 --ignore=${TESTDIR}/reader_tests/test_viirs_edr_active_fires.py \
