=== debian/changelog ===
satpy (0.59.0-3) unstable; urgency=medium

  [ Bas Couwenberg ]
  * Drop Priority: optional, default since dpkg 1.22.13.
  * Bump Standards-Version to 4.7.3, changes: priority.

  [ Antonio Valentino ]
  * debian/control:
    - Add dependency on python3-s3fs.
  * debian/rules:
    - Enable tests using s3fs.
    - Disable broken test "test_calibrated_reflectances_values".
      (Closes: #1126249).
  * debian/copuright:
    - Reorder Files paragraphs by directory depth.
    - Update copyright dates.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sun, 22 Feb 2026 20:49:07 +0000

satpy (0.59.0-2) unstable; urgency=medium

  * debian/patches:
    - New 0010-Fix-test-failure-on-riscv64.patch (Closes: #1122073).
  * debian/tests:
    - Do not run autopkgtests on s390x. Some of the dependencies
      are not available on this platform.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Wed, 03 Dec 2025 20:49:13 +0000

satpy (0.59.0-1) unstable; urgency=medium

  [ Bas Couwenberg ]
  * Fix old FSF address in copyright file.
  * Update lintian overrides.
  * Drop Rules-Requires-Root: no, default since dpkg 1.22.13.
  * Use test-build-validate-cleanup instead of test-build-twice.

  [ Antonio Valentino ]
  * New upstream release.
  * Update d/copyright file.
  * debian/patches:
    - Drop 0005-Fix-compatibility-with-old-dask-versions.patch.
    - Refresh and renumber remaining patches.
    - New 0006-No-upath.patch.
    - New 0007-No-numba.patch.
    - New 0008-Fix-tlefile-import.patch.
    - New 0009-Reduce-disk-footprint-for-tests.patch.
  * debian/control:
    - Add dependency on python3-sphinx-autodoc-typehints.
    - Drop versioned dependency on python3-pyorbital and
      python3-pyresample.
  * debian/rules:
    - Update the list of tests to skip.
  * Set upstream metadata fields: Documentation.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Fri, 28 Nov 2025 16:40:27 +0000
