=== debian/control ===
--- 
+++ 
@@ -3,7 +3,6 @@
 Uploaders: Antonio Valentino <antonio.valentino@tiscali.it>
 Section: python
 Testsuite: autopkgtest-pkg-pybuild
-Priority: optional
 Build-Depends: debhelper-compat (= 13),
                dh-python,
                dh-sequence-numpy3,
@@ -48,18 +47,20 @@
                python3-pydecorate,
                python3-pykdtree,
                python3-pyninjotiff,
-               python3-pyorbital (>= 1.7.3),
+               python3-pyorbital,
                python3-pyproj,
-               python3-pyresample (>= 1.24.0),
+               python3-pyresample,
                python3-pyspectral,
                python3-pytest <!nocheck>,
                python3-pytest-lazy-fixtures <!nocheck>,
                python3-rasterio,
                python3-requests,
                python3-rioxarray,
+               python3-s3fs <!nocheck>,
                python3-scipy,
                python3-skyfield,
                python3-sphinx <!nodoc>,
+               python3-sphinx-autodoc-typehints <!nodoc>,
                python3-sphinx-rtd-theme <!nodoc>,
                python3-sphinxcontrib.apidoc <!nodoc>,
                python3-tables,
@@ -70,11 +71,10 @@
                python3-xarray (>= 2024.10.0),
                python3-yaml,
                python3-zarr
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Vcs-Browser: https://salsa.debian.org/debian-gis-team/satpy
 Vcs-Git: https://salsa.debian.org/debian-gis-team/satpy.git
 Homepage: https://github.com/pytroll/satpy
-Rules-Requires-Root: no
 
 Package: python3-satpy
 Architecture: all
