=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

include /usr/share/dpkg/pkg-info.mk

ifneq (,${PYBUILD_AUTOPKGTEST})
TESTDIR=/usr/lib/python3/dist-packages/satpy/tests
else
TESTDIR=satpy/tests
endif

export PYBUILD_NAME=satpy
export PYBUILD_AFTER_INSTALL=rm -rf \
{destdir}/{install_dir}/benchmarks \
{destdir}/{install_dir}/dask-worker-space \
{destdir}/{install_dir}/dummy*

# dask-image module unavailable on Debian
SKIP_ARGS=not test_median

# upath module unavailable on Debian
SKIP_ARGS+= \
and not test_read_band_gzip_stream \
and not test_generic_open_BZ2File \
and not test_generic_open_FSFile_MemoryFileSystem \
and not test_generic_open_binary \
and not test_read_physical_seviri_nat_file \
and not test_read_real_segment_zipped \
and not test_read_band_gzip_stream

# hvplot module not available on Debian
SKIP_ARGS+= \
and not test_hvplot_basic_with_area \
and not test_hvplot_basic_with_swath \
and not test_hvplot_rgb_with_area

# access to network
SKIP_ARGS+= \
and not test_rayleigh_corrector \
and not test_rayleigh_with_angles \
and not test_provide_sunz_threshold_and_masking_limit \
and not test_basic_call \
and not test_retrieve \
and not test_offline_retrieve \
and not test_retrieve_all \
and not test_download_script \
and not test_no_downloads_in_tests

# OSError: [Errno -128] NetCDF: Attempt to use feature that was not turned on when netCDF was built.
SKIP_ARGS+= and not test_scene_dynamic_available_datasets

# something strange is salsa-ci (not reproducible locally)
SKIP_ARGS+= and not test_read_real_segment

# test broken by recent changes in xarray (the test has been modified upstream)
SKIP_ARGS+= and not test_calibrated_reflectances_values

# misc
SKIP_ARGS+= \
and not test_drop_fill_value \
and not test_basic_numbered_1_tile \
and not test_units_length_warning \
and not test_basic_numbered_tiles \
and not test_basic_lettered_tiles \
and not test_multivar_numbered_tiles_glm \
and not test_no_compute \
and not test_lettered_tiles_update_existing \
and not test_lettered_tiles_sector_ref \
and not test_lettered_tiles_no_valid_data

# no numba
IGNORE_ARGS=\
--ignore=${TESTDIR}/reader_tests/gms/test_gms5_vissr_l1b.py \
--ignore=${TESTDIR}/reader_tests/gms/test_gms5_vissr_navigation.py

export PYBUILD_TEST_ARGS=-k "${SKIP_ARGS}" ${IGNORE_ARGS} ${TESTDIR}

ifneq (,$(filter $(DEB_BUILD_ARCH),armhf))
export PYBUILD_DISABLE=test
endif

ifneq (,$(filter $(DEB_BUILD_ARCH),arm64))
PYBUILD_TEST_ARGS+=--ignore=${TESTDIR}/test_regressions.py
export PYBUILD_TEST_ARGS
endif

%:
	dh $@ --buildsystem=pybuild

execute_after_dh_auto_build-indep: export http_proxy=127.0.0.1:9
execute_after_dh_auto_build-indep: export https_proxy=127.0.0.1:9
execute_after_dh_auto_build-indep:
ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
	cp debian/area_def_list.rst doc/source
	PSP_CONFIG_FILE=$(CURDIR)/debian/pyspectral_dummycfg.yaml \
	PYTHONPATH={build_dir} \
	python3 -m sphinx -N -E -T -b html doc/source $(CURDIR)/.pybuild/docs/html
endif

execute_after_dh_fixperms:
	find debian/python*satpy -name 'agri_l1.*' -exec chmod -x {} +
	find debian/python*satpy -name 'image_comparison.feature' -exec chmod -x {} +
